## helma.image.jimi
Class JimiGenerator

    java.lang.Object
      helma.image.ImageGenerator
          helma.image.jimi.JimiGenerator

    public class JimiGenerator

extends ImageGenerator

Field Summary

Fields inherited from class helma.image.ImageGenerator
`generator`

Constructor Summary
`JimiGenerator()`

Method Summary
`void` `write(ImageWrapper wrapper, java.io.OutputStream out, java.lang.String mimeType, float quality, boolean alpha)` Saves the image.
`void` `write(ImageWrapper wrapper, java.lang.String filename, float quality, boolean alpha)` Saves the image.
`protected boolean` `write(ImageWrapper wrapper, java.lang.String type, java.io.OutputStream out, float quality, boolean alpha)` Internal function for writing images.

Methods inherited from class helma.image.ImageGenerator
`createImage, createImage, createImage, createImage, createImage, createImage, createImage, getInstance, read, read, read, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JimiGenerator

    public JimiGenerator()

Method Detail

### write

    protected boolean write(ImageWrapper wrapper,
                            java.lang.String type,
                            java.io.OutputStream out,
                            float quality,
                            boolean alpha)
                     throws java.io.IOException

  Internal function for writing images.

  Parameters:
    `wrapper` - ...
    `type` - either a file extension or a mimetype with stripped image/ or image/x-
    `quality` - ...
    `alpha` - ...
  Throws:
    `java.io.IOException`
  See Also:
    `ImageGenerator.write(helma.image.ImageWrapper, java.lang.String, float, boolean)`

### write

    public void write(ImageWrapper wrapper,
                      java.lang.String filename,
                      float quality,
                      boolean alpha)
               throws java.io.IOException

  Saves the image. Image format is deduced from filename.

  Specified by:
    `write` in class `ImageGenerator`
  Parameters:
    `wrapper` - ...
    `filename` - ...
    `quality` - ...
    `alpha` - ...
  Throws:
    `java.io.IOException`
  See Also:
    `ImageGenerator.write(helma.image.ImageWrapper, java.lang.String, float, boolean)`

### write

    public void write(ImageWrapper wrapper,
                      java.io.OutputStream out,
                      java.lang.String mimeType,
                      float quality,
                      boolean alpha)
               throws java.io.IOException

  Saves the image. Image format is deduced from filename.

  Specified by:
    `write` in class `ImageGenerator`
  Parameters:
    `wrapper` - ...
    `out` - ...
    `mimeType` - ...
    `quality` - ...
    `alpha` - ...
  Throws:
    `java.io.IOException`
  See Also:
    `ImageGenerator.write(helma.image.ImageWrapper, java.io.OutputStream, java.lang.String, float, boolean)`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.